function h=displayMVF(I,mvf,bsize)
% DISPLAYMVF Visualizza i vettori di movimento
% displayMVF(I,mvf,bsize) I immagine; mvf vettori di moto; bsize ha due
% componenti, le dimensioni dei blocchi in righe e colonne
[row, col] = size(I);
% Preleva un vettore per blocco
vectRow=mvf(1:bsize(1):row,1:bsize(2):col,1);
vectCol=mvf(1:bsize(1):row,1:bsize(2):col,2);
% Costruisce la griglia
[X,Y]=meshgrid(1:bsize(2):col,1:bsize(1):row);
X = X + floor(bsize(1)/2);
Y = Y + floor(bsize(2)/2);
% Mostra la figura
figure; h=image(I); colormap(gray(256)); hold on;
vh = quiver(X,Y,vectCol,vectRow, 2,'r');
set(vh, 'Linewidth', 2);
hold off;axis off;